[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.Resize

Checks for changes and calls DoOnResize if needed.

## Declaration

Source position: controls.pp line 1383

`protected procedure TControl.Resize; virtual;`

## Description

No actions are performed in the method at design-time, during LCL component streaming, or when AutoSizeDelayed is set to True.

Resize updates internal members used to track the current values in the Width, Height, ClientWidth, and ClientHeight properties. It calls DoOnResize to signal OnResize event handler(s) (when assigned) for the control.

## See also

TControl.DoOnResize |  | Signals OnResize event handlers for the control.
TControl.OnResize |  | Notification handler for a resize of the control.
TControl.DoCallNotifyHandler |  | Signals handler routines for the specified control handler type.
TControlHandlerType |  | Notification handler types.